Bug 1755780 - [4.2.z] Cannot prune registry 'invalid resource name "psd2-anusha/psd2-anusha": [may not contain '/']'
Summary: [4.2.z] Cannot prune registry 'invalid resource name "psd2-anusha/psd2-anusha...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.2.z
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1749256 1766113
Blocks: 1752513 1766110
TreeView+ depends on / blocked
 
Reported: 2019-09-26 08:14 UTC by Ricardo Maraschini
Modified: 2020-01-08 18:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: older imagestreams could have an invalid name Consequence: image pruning failed because the specs for the imagestream's tags were not valid Fix: image pruner will always prune images if the associated imagestream has an invalid name Result: image pruning completes if imagestreams with invalid names are present
Clone Of: 1749256
: 1766110 (view as bug list)
Environment:
Last Closed: 2019-11-13 18:55:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift image-registry pull 197 'None' 'closed' '[4.2] Bug 1755780: Checking if image name is valid, prune otherwise.' 2019-11-19 15:43:13 UTC
Github openshift image-registry pull 200 'None' 'closed' '[4.2] Bug 1755780: Disabled gosec' 2019-11-19 15:43:13 UTC
Red Hat Product Errata RHBA-2019:3303 None None None 2019-11-13 18:55:59 UTC

Comment 2 Wenjing Zheng 2019-10-28 09:36:21 UTC
Verified on 4.2.0-0.nightly-2019-10-27-140004:
$ oc project openshift-image-registry
Now using project "openshift-image-registry" on server "https://api.qe-hongli-42bv.qe.devcluster.openshift.com:6443".
[wzheng@openshift-qe 4.1.z]$ oc exec image-registry-6bff7f877-qqws4 -- /bin/sh -c 'REGISTRY_LOG_LEVEL=info /usr/bin/dockerregistry -prune=check'
time="2019-10-28T09:35:29.151275389Z" level=info msg="start prune (dry-run mode)" distribution_version=v2.6.0+unknown go.version=go1.11.13 openshift_version=v4.2.2-201910251319+15ab28d-dirty
time="2019-10-28T09:35:29.527774814Z" level=info msg="Invalid image name foo/test/ruby-ex, removing whole repository" go.version=go1.11.13
time="2019-10-28T09:35:29.685653349Z" level=info msg="The image stream wsuvl/sti is not found, will remove the whole repository" go.version=go1.11.13
time="2019-10-28T09:35:29.685688495Z" level=info msg="Would delete repository: foo/test/ruby-ex" go.version=go1.11.13
time="2019-10-28T09:35:29.820217318Z" level=info msg="Would delete repository: wsuvl/sti" go.version=go1.11.13
Would delete 0 blobs
Would free up 0B of disk space
Use -prune=delete to actually delete the data

Comment 4 errata-xmlrpc 2019-11-13 18:55:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3303


Note You need to log in before you can comment on or make changes to this bug.